# Uses of Interface
java.lang.classfile.attribute.ModuleOpenInfo

Packages that use ModuleOpenInfo
Package
Description
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of ModuleOpenInfo in java.lang.classfile.attribute

Methods in java.lang.classfile.attribute that return ModuleOpenInfo
Modifier and Type
Method
Description
`static ModuleOpenInfo`
ModuleOpenInfo.`of(PackageEntry opens, int opensFlags, ModuleEntry... opensTo)`
Returns a module open description.
`static ModuleOpenInfo`
ModuleOpenInfo.`of(PackageEntry opens, int opensFlags, List<ModuleEntry> opensTo)`
Returns a module open description.
`static ModuleOpenInfo`
ModuleOpenInfo.`of(PackageEntry opens, Collection<AccessFlag> opensFlags, ModuleEntry... opensTo)`
Returns a module open description.
`static ModuleOpenInfo`
ModuleOpenInfo.`of(PackageEntry opens, Collection<AccessFlag> opensFlags, List<ModuleEntry> opensTo)`
Returns a module open description.
`static ModuleOpenInfo`
ModuleOpenInfo.`of(PackageDesc opens, int opensFlags, ModuleDesc... opensTo)`
Returns a module open description.
`static ModuleOpenInfo`
ModuleOpenInfo.`of(PackageDesc opens, int opensFlags, List<ModuleDesc> opensTo)`
Returns a module open description.
`static ModuleOpenInfo`
ModuleOpenInfo.`of(PackageDesc opens, Collection<AccessFlag> opensFlags, ModuleDesc... opensTo)`
Returns a module open description.
`static ModuleOpenInfo`
ModuleOpenInfo.`of(PackageDesc opens, Collection<AccessFlag> opensFlags, List<ModuleDesc> opensTo)`
Returns a module open description.
Methods in java.lang.classfile.attribute that return types with arguments of type ModuleOpenInfo
Modifier and Type
Method
Description
`List<ModuleOpenInfo>`
ModuleAttribute.`opens()`
Returns the packages opened by this module.
Methods in java.lang.classfile.attribute with parameters of type ModuleOpenInfo
Modifier and Type
Method
Description
`ModuleAttribute.ModuleAttributeBuilder`
ModuleAttribute.ModuleAttributeBuilder.`opens(ModuleOpenInfo opens)`
Opens a package.